AppDeactivate Example |
Using Programming Languages other than VBA
Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
Sub Example_AcadApplication_Events() ' This example initializes the public variable (ACADApp), which will be used ' to intercept AcadApplication Events. ' ' The VBA WithEvents statement makes it possible to intercept a generic object ' with the events associated with that object. ' ' Before you will be able to trigger any of the AcadApplication events, ' you will first need to run this procedure. ' We could get the application from the ThisDocument object, but that would ' require having a drawing open, so we get it from the system. Set ACADApp = GetObject(, "AutoCAD.Application.16") End Sub
Private Sub ACADApp_AppDeactivate() ' This example intercepts an Application AppDeactivate event. ' ' This event is triggered when the AutoCAD application loses focus ' ' To trigger this example event: ' 1) Make sure to run the example that initializes ' the public variable (named ACADApp) linked to this event. ' ' 2) Switch focus from AutoCAD to another Windows application. MsgBox "AutoCAD just lost focus!" End Sub
Comments? |